%
%+
%
% EVOLUTIONS
% ===========
%
% $Id$
%
% - fplod 2009-02-02T14:11:28Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * replaced by eof_df.m
%
%-

clear;
close all;

fid=fopen('olrf10-30_ctl.80.dat','r');
siz=24*15*3538;
v=fread(fid,siz,'float');
fclose(fid);
olr=reshape(v,360,3538);
clear v;

% calcul de la matrice de covariance
vaudou=zeros(360,360);
for a=1:360;
    for b=1:360;
      clear e d covaria;
      e=olr(b,:);
      d=olr(a,:);
      covaria=cov(e,d);
      vaudou(a,b)=covaria(2,1);
    end;
end;

% on diagonalise la matrice de covariance
[C,L]=eig(vaudou);

delete('eof_1030_ircaam_ctl.mat');
save('eof_1030_ircaam_ctl.mat','C','L','olr')
