%
%+
%
% EVOLUTIONS
% ===========
%
% $Id$
%
% - fplod 2009-01-28T10:14:38Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * replaced by composite_olr_phase_num.m
%
%-

% initialisation
clear;

ncload('olr.day.mean.nc');

% taille 12327x73x144 1er juin 1974-31 decembre2007
% on enleve les annees 1974 a 1978 nombre de jours a enlever au debut 214+365+366+365+365
% on enleve les annees 2001 a 2008 nombre de jours a enlever au debut 12327-(365*3+366+365*3+60)

debut=214+365+366+365+365;
fin=12327-(365+60);
olr=olr(debut:fin,21:41,:);
siz=fin-debut+1;
for a=1:21;
   for b=1:144;
       for c=1:siz;
          if olr(c,a,b)==32766;
              olr(c,a,b)=NaN;
          end;
       end ;
   end;
end;
olr=olr*0.01+327.65;
olr1=zeros(siz,21,144);
olr1(:,:,1:72)=olr(:,:,73:144);
olr1(:,:,73:144)=olr(:,:,1:72);
clear olr;

% on permture le temps et l'espce
% nouvelles dimentions
% 21 144 siz
olr1=permute(olr1, [2 3 1]);

for a=1:21;
   for b=1:144;
      clear vecteur
      vecteur=zeros(siz,1);
      for c=1:siz;
           vecteur(c)=olr1(a,b,c);
      end;
      std_c=nanmean(vecteur);
      for c=1:siz;
          olr1(a,b,c)=olr1(a,b,c)-std_c;
      end;
   end;
end;

% on met sous la forme longitude latitude jour

% on selectionne les mois d ete (attention aux annees bixestiles!)

siz1=31+28+31+30+31+1;
siz1bis=31+28+31+30+31+30+31+31+30;
a=siz1bis-siz1;

olr=zeros(21,144,122,28);

siz2=siz1+366; siz2bis=siz2+a; % 1980
siz3=siz2+365; siz3bis=siz3+a; % 1981
siz4=siz3+365; siz4bis=siz4+a; % 1982
siz5=siz4+365; siz5bis=siz5+a; % 1983
siz6=siz5+366; siz6bis=siz6+a; % 1984
siz7=siz6+365; siz7bis=siz7+a; % 1985
siz8=siz7+365; siz8bis=siz8+a; % 1986
siz9=siz8+365; siz9bis=siz9+a; % 1987
siz10=siz9+366; siz10bis=siz10+a; % 1988
siz11=siz10+365; siz11bis=siz11+a; % 1989
siz12=siz11+365; siz12bis=siz12+a; % 1990
siz13=siz12+365; siz13bis=siz13+a; % 1991
siz14=siz13+366; siz14bis=siz14+a; % 1992
siz15=siz14+365; siz15bis=siz15+a; % 1993
siz16=siz15+365; siz16bis=siz16+a; % 1994
siz17=siz16+365; siz17bis=siz17+a; % 1995
siz18=siz17+366; siz18bis=siz18+a; % 1996
siz19=siz18+365; siz19bis=siz19+a; % 1997
siz20=siz19+365; siz20bis=siz20+a; % 1998
siz21=siz20+365; siz21bis=siz21+a; % 1999
siz22=siz21+366; siz22bis=siz22+a; % 2000
siz23=siz22+365; siz23bis=siz23+a; % 2001
siz24=siz23+365; siz24bis=siz24+a; % 2002
siz25=siz24+365; siz25bis=siz25+a; % 2003
siz26=siz25+366; siz26bis=siz26+a; % 2004
siz27=siz26+365; siz27bis=siz27+a; % 2005
siz28=siz27+365; siz28bis=siz28+a; % 2006

olr(:,:,:,1)=olr1(:,:,siz1:siz1bis); % 1979
olr(:,:,:,2)=olr1(:,:,siz2:siz2bis); % 1980
olr(:,:,:,3)=olr1(:,:,siz3:siz3bis); % 1981
olr(:,:,:,4)=olr1(:,:,siz4:siz4bis); % 1982
olr(:,:,:,5)=olr1(:,:,siz5:siz5bis); % 1983
olr(:,:,:,6)=olr1(:,:,siz6:siz6bis); % 1984
olr(:,:,:,7)=olr1(:,:,siz7:siz7bis); % 1985
olr(:,:,:,8)=olr1(:,:,siz8:siz8bis); % 1986
olr(:,:,:,9)=olr1(:,:,siz9:siz9bis); % 1987
olr(:,:,:,10)=olr1(:,:,siz10:siz10bis); % 1988
olr(:,:,:,11)=olr1(:,:,siz11:siz11bis); % 1989
olr(:,:,:,12)=olr1(:,:,siz12:siz12bis); % 1990
olr(:,:,:,13)=olr1(:,:,siz13:siz13bis); % 1991
olr(:,:,:,14)=olr1(:,:,siz14:siz14bis); % 1992
olr(:,:,:,15)=olr1(:,:,siz15:siz15bis); % 1993
olr(:,:,:,16)=olr1(:,:,siz16:siz16bis); % 1994
olr(:,:,:,17)=olr1(:,:,siz17:siz17bis); % 1995
olr(:,:,:,18)=olr1(:,:,siz18:siz18bis); % 1996
olr(:,:,:,19)=olr1(:,:,siz19:siz19bis); % 1997
olr(:,:,:,20)=olr1(:,:,siz20:siz20bis); % 1998
olr(:,:,:,21)=olr1(:,:,siz21:siz21bis); % 1999
olr(:,:,:,22)=olr1(:,:,siz22:siz22bis); % 2000
olr(:,:,:,23)=olr1(:,:,siz23:siz23bis); % 2001
olr(:,:,:,24)=olr1(:,:,siz24:siz24bis); % 2002
olr(:,:,:,25)=olr1(:,:,siz25:siz25bis); % 2003
olr(:,:,:,26)=olr1(:,:,siz26:siz26bis); % 2004
olr(:,:,:,27)=olr1(:,:,siz27:siz27bis); % 2005
olr(:,:,:,28)=olr1(:,:,siz28:siz28bis); % 2006

clear siz1 siz1bis;
clear siz2 siz2bis;
clear siz3 siz3bis;
clear siz4 siz4bis;
clear siz5 siz5bis;
clear siz6 siz6bis;
clear siz7 siz7bis;
clear siz8 siz8bis;
clear siz9 siz9bis;
clear siz10 siz10bis;
clear siz11 siz11bis;
clear siz12 siz12bis;
clear siz13 siz13bis;
clear siz14 siz14bis;
clear siz15 siz15bis;
clear siz16 siz16bis;
clear siz17 siz17bis;
clear siz18 siz18bis;
clear siz19 siz19bis;
clear siz20 siz20bis;
clear siz21 siz21bis;
clear siz22 siz22bis;
clear siz23 siz23bis;
clear siz24 siz24bis;
clear siz25 siz25bis;
clear siz26 siz26bis;
clear siz27 siz27bis;
clear siz28 siz28bis;

%olr=zeros(21,144,122,28);
olr1=permute(olr,[3 4 1 2]);
clear olr;
olr2=reshape(olr1,3416,21,144);
olr3(:,:)=mean(olr2);
clear olr2;

status=load('phase2.txt');
phase2=status;
clear status;
phase2=reshape(phase2,122,28,3);
olr_filtre_compomax=zeros(90,21,144);
compteurmax=0;

% boucle sur les annees
for a=1:28;
   % boucle sur les jours
   for b=1:122;
      % 1ere condition (laisser une marge de 10)
      if (b>11 && b<112);
         if phase2(b,a,1)==1;
            compteurmax=compteurmax+1;
            olr_filtre_compomax(compteurmax,:,:)=olr1(b,a,:,:);
         end;
      end;
   end;
end;

% on ne selectionne que la partie du tableau ou il y a des valeurs
olr_filtre_compomax=olr_filtre_compomax(1:compteurmax,:,:);

% on fait la somme des valeurs de olr_filtreentiel sur le nbre d occurences
% on obtent un tableau de la forme (jours-avant-apres,lon,lat)
olr_filtre_compomax1(:,:)=mean(olr_filtre_compomax);
clear olr_filtre_compomax;

x=[-10:1:10]';

lat=lat(21:41)';
lon=lon-180;
delta=olr_filtre_compomax1-olr3;
clear olr3;
for b=1:21;
    for c=1:144;
       if delta(b,c)<-50;
          delta(b,c)=-50;
       elseif delta(b,c)>50;
           delta(b,c)=50;
       end;
    end;
end;
palette;
delta(1,1)=-50.0001;
delta(1,2)=50.0001;
aa=contourf(lon,lat,delta,[-50:5:50],'LineStyle','none');
set (gca,'XTick',[-180:60:180],'XTickLabel',[' 180';'120W';' 60W';'   0';' 60E';'120E';' 180'],'fontsize',6);
set (gca,'YTick',[-10:10:40],'YTickLabel',['   ';'  0';'10N';'20N';'30N';'   '],'fontname','Arial','fontsize',6);
co=colorbar;
set(co,'xtick',[-20:10:20],'xticklabel',[-20:10:20],'fontname','Arial','fontsize',6);
hold on;
cartemonde1;
set (gca,'tickDir','out');
axis equal;
axis([-180 180 -10 40]);
