%

%+
%
% EVOLUTIONS
% ===========
%
% $Id$
% 
% - fplod 2009-01-27T11:17:40Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * replaced by time_serie_ER_rossby_df_complet.m 
%
%-

clear;
close all;

figure(1);
orient('landscape')
figure(2);
orient('landscape')
figure(3);
orient('landscape')

status=load('eof_rossby_jjas_2006_30100.mat','C','olr');
C=status.C;
olr=status.olr;
clear status;

olr=olr';
PC1=olr*C;

time_serie_olr1=PC1(:,425);
time_serie_olr2=PC1(:,424);

for a=1:28;
   if a<12;
      figure(1);
      subplot(4,3,a);
   elseif a<23;
      figure(2);
      subplot(4,3,a-11);
   else
      figure(3);
      subplot(4,3,a-22);
   end;
   clear koro1
   debut=(a-1)*122+1;
   fin=a*122;
   koro1=time_serie_olr1(debut:fin);
   koro2=time_serie_olr2(debut:fin);
   x=[1:122]';
   aa=plot(x,-koro1,'r');
   hold on;
   bb=plot(x,-koro2,'k');
%   cc=legend('EOF1','EOF2')
%   set (cc,'fontsize',6)
%   legend boxoff;
   y=zeros(122,1);
   plot(x,y,'k:');
   if a==2;
       text(0,183,'time series EOF1 and EOF2 OLR ER 30-100d');
   elseif a==13;
       text(0,183,'time series EOF1 and EOF2 OLR ER 30-100d');
   elseif a==24;
       text(0,183,'time series EOF1 and EOF2 OLR ER 30-100d');
   end;
   title(a+1978,'FontSize',8);
   set (gca,'tickDir','out');
axis([1 122 -100 100]);

set (gca,'YTick',[-100:20:100],'YTickLabel',[-100:20:100],'fontname','Arial','fontsize',6);
set (gca,'XTick',[0:20:120],'XTickLabel',[0:20:120],'fontname','Arial','fontsize',6);
end;

figure(1);
print('-depsc2','time_serie_eof_ER_30-100j_part1.eps');
figure(2);
print('-depsc2','time_serie_eof_ER_30-100j_part2.eps');
figure(3);
print('-depsc2','time_serie_eof_ER_30-100j_part3.eps');
